=== etc/Makefile ===
SV_DIR=/home/moa/projects/savane
SV_CONF=/etc/savannah
SV_CONF_INTERACTIVE=yes
SV_BIN=/usr/local/bin
PERL_INC=/usr/local/lib/site_perl
INSTALLNLSDIR=/usr/share/locale
SV_URLROOT=/savannah
SV_DB=mysql
SV_DB_NAME=savannah
SV_DB_CMD=mysql
SV_DB_OPTIONS=
MM_CGI_DIR=
WWW_SERVER_USER=www-data
 

all:
	@echo "Bah!"

install:
	if [ ! -e /etc/cron.d/savane ]; then install crontab /etc/cron.d/savane ; fi
	if [ ! -e /etc/logrotate.d/savane]; then install logrotate /etc/logrotate.d/savane ; fi
