=== frontend/php/css/Makefile ===
SV_DIR=/home/moa/projects/savane
SV_CONF=/etc/savannah
SV_CONF_INTERACTIVE=yes
SV_BIN=/usr/local/bin
PERL_INC=/usr/local/lib/site_perl
INSTALLNLSDIR=/usr/share/locale
SV_URLROOT=/savannah
SV_DB=mysql
SV_DB_NAME=savannah
SV_DB_CMD=mysql
SV_DB_OPTIONS=
MM_CGI_DIR=
WWW_SERVER_USER=www-data
 
CSS=`ls *.css.in`

all: update-path

update-path:
	make reset-path
	for css in $(CSS); do \
		if [ "$(SV_URLROOT)" != "/" ]; then \
			cat $$css | sed s@url\(\"\/@url\(\"$(SV_URLROOT)\/@g > `basename $$css .in` ; \
		else \
			cat $$css > `basename $$css .in` ; fi \
		; \
	done

reset-path:
	for css in $(CSS); do \
		cp -f $$css `basename $$css .in` ; \
	done

clean:
	rm -f *.css
