=== debian/control ===
Source: savannah
Section: web
Priority: optional
Maintainer: Mathieu Roy <yeupou@gnu.org>
Build-Depends-Indep: gettext, debhelper (>=3.0.18)
Standards-Version: 3.5.9.0

Package: savannah
Architecture: all
Depends: savannah-bin, savannah-lib, savannah-frontend-php
Suggests: savannah-doc
Description: This meta package that will fetch every Savannah packages for
 a standard installation. 
 .
 Savannah is a place where GNU live. Based on the SourceForge 2.0
 software, it is dedicated to Free Software projects.
 .
 .
 Homepage: http://savannah.gnu.org/


Package: savannah-doc
Architecture: all
Suggests: savannah
Depends: texinfo, tetex-bin, tar, gzip, autoconf, automake1.4
Description: This is the Savannah documentation.
 .
 Savannah is a place where GNU live. Based on the SourceForge 2.0
 software, it is dedicated to Free Software projects.
 .
 Homepage: http://savannah.gnu.org/

Package: savannah-bin
Architecture: all
Depends: savannah-lib, coreutils (>=4.5.0) | fileutils (>=4.1), debconf (>=1.2.9)
Description: This package contains Savannah binaries (scripts), 
 normally used by administrators and cronjobs.
 .
 Savannah is a place where GNU live. Based on the SourceForge 2.0
 software, it is dedicated to Free Software projects.
 .
 Homepage: http://savannah.gnu.org/

Package: savannah-lib
Architecture: all
Depends: perl-base (>=5.6.0), perl-modules, liblocale-gettext-perl, libdbi-perl (>= 1.21), debconf (>=1.2.9)
Description: This package contains Savannah libraries.
 .
 Savannah is a place where GNU live. Based on the SourceForge 2.0
 software, it is dedicated to Free Software projects.
 .
 Homepage: http://savannah.gnu.org/

Package: savannah-frontend-php
Architecture: all
Depends: savannah-bin, php3 (>=3.0.18) | php4 (>=4.2), php3-pear | php4-pear, php3-mysql | php4-mysql, debconf (>= 1.2.9)
Description: This package contains the Savannah PHP frontend.
 .
 Savannah is a place where GNU live. Based on the SourceForge 2.0
 software, it is dedicated to Free Software projects.
 .
 Homepage: http://savannah.gnu.org/
